Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Location Class Reference

Class for location dependent configuration. More...

`#include <Location.h>`

List of all members.

## Public Member Functions
| Location ()
| constructor
const char * | getFilename (const char *file)
| returns the filename and relative path to a given configuration file without the robotdesign-prefix in the path (root of the location)
const char * | getModelFilename (const char *file)
| returns the filename and relative path to a given configuration file for the current robotdesign-prefix
const char * | getModelFilename (const char *file, RobotDesign::Design design)
| returns the filename and relative path to a given configuration file and given robotdesign
const char * | getName () const
| returns the name of the location
| Location ()
| Location (in const Location &, in const Location &)
final void | initialize (void)
final void | update (in int token, in const char *text, in int textLen)
## Public Attributes
int | startRow
int | endRow
int | startIdx
int | endIdx
const char * | text
int | textLen
int | textOfs
int | token
## Private Attributes
char | name [100]
| the name of the location
char | filename [100]

## Detailed Description

Class for location dependent configuration.

Definition at line 23 of file Location.h.

## Constructor & Destructor Documentation

Location::Location | ( |  | ) |

| constructor Definition at line 21 of file Location.cpp. References InStream< InFile, InConfig >::eof(), and InFile::exists().

Here is the call graph for this function:

Location::Location | ( |  | ) |

Location::Location | ( | in const Location & | ,
|  | in const Location & |
| ) |

## Member Function Documentation

const char * Location::getFilename | ( | const char * | file | ) |

| returns the filename and relative path to a given configuration file without the robotdesign-prefix in the path (root of the location) Definition at line 31 of file Location.cpp. References filename.

const char * Location::getModelFilename | ( | const char * | file | ) |

| returns the filename and relative path to a given configuration file for the current robotdesign-prefix Definition at line 40 of file Location.cpp.

const char * Location::getModelFilename | ( | const char * | file,
|  | RobotDesign::Design | design
| ) |

| returns the filename and relative path to a given configuration file and given robotdesign Definition at line 45 of file Location.cpp. References filename.

const char* Location::getName | ( |  | ) | const`[inline]`

| returns the name of the location Definition at line 45 of file Location.h.

final void Location::initialize | ( | void |  | ) |

| Definition at line 172 of file stdservice_.cpp. References endIdx, endRow, startIdx, startRow, textLen, textOfs, and token. Referenced by StdService::doneBuffer(), and LexBuffer::LexBuffer().

final void Location::update | ( | in int | token,
|  | in const char * | text,
|  | in int | textLen
| ) |

| Definition at line 182 of file stdservice_.cpp. References endIdx, endRow, startIdx, startRow, textLen, textOfs, token, and updatePosition(). Referenced by StdService::lexicalError(), and StdService::nextToken().

Here is the call graph for this function:

## Member Data Documentation

char Location::name[100]`[private]`

| the name of the location Definition at line 52 of file Location.h.

char Location::filename[100]`[private]`

| Definition at line 54 of file Location.h. Referenced by getFilename(), and getModelFilename().

int Location::startRow

| Definition at line 64 of file stdservice.h. Referenced by initialize(), and update().

int Location::endRow

| Definition at line 64 of file stdservice.h. Referenced by initialize(), and update().

int Location::startIdx

| Definition at line 65 of file stdservice.h. Referenced by initialize(), and update().

int Location::endIdx

| Definition at line 65 of file stdservice.h. Referenced by initialize(), and update().

const char* Location::text

| Definition at line 66 of file stdservice.h. Referenced by StdService::getTokenDescription().

int Location::textLen

| Definition at line 67 of file stdservice.h. Referenced by initialize(), StdService::tokenBstr(), StdService::tokenText(), and update().

int Location::textOfs

| Definition at line 68 of file stdservice.h. Referenced by initialize(), StdService::tokenBstr(), StdService::tokenText(), and update().

int Location::token

| Definition at line 69 of file stdservice.h. Referenced by initialize(), and update().

The documentation for this class was generated from the following files:

- Tools/Location.h
- Tools/Xabsl2/yabsl/vsyabsl/stdservice.h
- Tools/Location.cpp
- Tools/Xabsl2/yabsl/vsyabsl/stdservice_.cpp